<?php
include("modules/movies/lang/$lang.php");
?>
<table width="99%">
	<tr>
		<td align="center" colspan="3">
		<p id="summarytitle"><?php echo $module_text['summarytitle'];?>
		</p>
		</td>
	</tr>
	<tr>
		<td align="right" nowrap="yes">
		<p class="mainlabel">
		<?php echo $module_text['showwhere'];?>&nbsp;&nbsp;
		</p>
		</td>
		<td align="left">
		<p class="maintext">
		<?php
		// Find number of borrowed movies
		$result = $mm->dbQuery("SELECT movie_id FROM movies_list WHERE borrower_uid != ''");
		$num_borrowed = $mm->dbCountRows($result);
		echo "<a href=\"?module=movies&do=where&loc=out\">{$module_text['borrowed']}</a>&nbsp;&nbsp;($num_borrowed)";
		?>
		</p>
		</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td align="left">
		<p class="maintext">
		<?php
		// Find number of available movies
		$result = $mm->dbQuery("SELECT movie_id FROM movies_list WHERE borrower_uid = ''");
		$num_available = $mm->dbCountRows($result);
		echo "<a href=\"?module=movies&do=where&loc=in\">{$module_text['available']}</a>&nbsp;&nbsp;($num_available)";
		?>
		</p>
		</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td align="left">
		<p class="maintext">
		<?php
		// Find number of reserved movies
		$result = $mm->dbQuery("SELECT movie_id FROM movies_list WHERE reserved_uid != ''");
		$num_reserved = $mm->dbCountRows($result);
		echo "<a href=\"?module=movies&do=where&loc=res\">{$module_text['reserved']}</a>&nbsp;&nbsp;($num_reserved)";
		?>
		</p>
		</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td align="left">
		<p class="maintext">
		<?php
		$result = $mm->dbQuery("SELECT date_due_back FROM movies_list WHERE borrower_uid != ''");
		$num_results = "0";
		while ($row = $mm->dbFetchArray($result)) {
			list($date_due_back) = $row;
			if ($date_due_back < strtotime("now")) {
			$num_results ++;
			};
		};
		echo "<a href=\"?module=movies&do=where&loc=over\">{$module_text['overdue']}</a>&nbsp;&nbsp;($num_results)";
		?>
		</p>
		</td>
	</tr>
	<tr>
		<td align="right">
		<p class="mainlabel">
		<?php echo $module_text['showmovie'];?>&nbsp;&nbsp;
		</p>
		</td>
		<td align="left">
		<form action="index.php" method="get">
			<input type="hidden" name="module" value="movies">
			<input type="hidden" name="do" value="details">
			<?php
			$result = $mm->dbQuery("SELECT * FROM movies_list ORDER BY movie_title");
			echo "<select class=\"mainlist\" name=\"id\">";
			while ($row = $mm->dbFetchArray($result)) {
				$movie_title = stripslashes($row['movie_title']);
				echo "\n<option class=\"mainlist\" value=\"{$row['movie_id']}\">$movie_title</option>";
			};
			echo "</select>";
			?>
			<input class="mainbutton" value="<?php echo $module_text['details'];?>" type="submit">
		</form>
		</td>
	</tr>

	<tr>
		<td align="right">
		<p class="mainlabel">
		<?php echo $module_text['quicklinks'];?>&nbsp;&nbsp;
		</p>
		</td>
		<td align="left" colspan="2">
		<p class="maintext">
		<?php
		// This next nine lines makes quicklinks appear for movies starting with that letter
		// If you can work out how to do this more efficiently, let me know.  moviemate@rocks.cc
		$quicklink_array = array(A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z);
		while (list($ql_pointer, $quicklink) = each($quicklink_array)) {
			$get_title = $mm->dbQuery("SELECT movie_title FROM movies_list WHERE movie_title LIKE '$quicklink%' ORDER BY movie_title");
			if (! $mm->dbCountRows($get_title)) {
				echo "$quicklink&nbsp;";
			} else {
				echo "<a href=\"index.php?module=movies&do=search&ql=$quicklink\">$quicklink</a>&nbsp;";
			};
		};
		?>
		</p>
		</td>
	</tr>
	<tr>
		<td align="right">
		<p class="mainlabel">
		<?php echo $module_text['latestmovie'];?>&nbsp;&nbsp;
		</p>
		</td>
		<td align="left">
		<p class="maintext">
		<?php
		$result = $mm->dbQuery("SELECT movie_id, movie_title FROM movies_list ORDER BY movie_id DESC LIMIT 1");
		list($id, $title) = $mm->dbFetchRow($result);
		$title = stripslashes($title);
		echo "<a href=\"index.php?module=movies&do=details&id=$id\">$title</a>";
		?>
		</p>
		</td>
	</tr>
	<?php
	if ($_SESSION['level'] > '2') {
	?>
	<tr>
		<td colspan="2" align="center">
		[<a class="maintext" href="index.php?module=movies&do=add"><?php echo $module_text['addnewmovie'];?></a>]&nbsp;&nbsp;
		[<a class="maintext" href="index.php?module=movies&do=options"><?php echo $module_text['options'];?></a>]&nbsp;&nbsp;
		</td>
	</tr>
	<?php
	}
	?>
	<tr>
		<td colspan="2" align="center">
		<p class="maintext"><?php echo $module_text['summarycredits'];?></p>
		</td>
	</tr>
</table>
