<?php
// This script lets you change options for the Movies module

$get_prefs = $mm->dbQuery("SELECT name, value FROM movies_prefs");
$movies_prefs = array();
while (list($pref, $value) = $mm->dbFetchRow($get_prefs))
{
        $temp_array = array("$pref"  => "$value");
        $movies_prefs = $movies_prefs + $temp_array;
}
// If the user is level three, and they want to set global options
if ($_SESSION['level'] == "3") {
?>
<br>
<p class="subheading"><?php echo $module_text['moduleoptions'];?></p>

<table class="admin" cellpadding="5">


	<tr>
		<td align="right" valign="top">
		<p class="adminlabel"><?php echo $module_text['defaultborrowingtime'];?>&nbsp;&nbsp;</p>
		</td>
		<td align="left" valign="top">
		<form action="index.php" method="post">
		<input type="hidden" name="module" value="movies">
		<input type="hidden" name="do" value="modify">
		<input type="hidden" name="action" value="options">
		<input type="radio" name="overdue_days" value="7" <?php if ($movies_prefs['overdue'] == "7") { echo "CHECKED";};?>>&nbsp;<?php echo $module_text['oneweek'];?><br>
		<input type="radio" name="overdue_days" value="14" <?php if ($movies_prefs['overdue'] == "14") { echo "CHECKED";};?>>&nbsp;<?php echo $module_text['twoweeks'];?><br>
		<input type="radio" name="overdue_days" value="21" <?php if ($movies_prefs['overdue'] == "21") { echo "CHECKED";};?>>&nbsp;<?php echo $module_text['threeweeks'];?><br>
		<input type="radio" name="overdue_days" value="28" <?php if ($movies_prefs['overdue'] == "28") { echo "CHECKED";};?>>&nbsp;<?php echo $module_text['onemonth'];?><br>
		<input type="radio" name="overdue_days" value="35" <?php if ($movies_prefs['overdue'] == "35") { echo "CHECKED";};?>>&nbsp;<?php echo $module_text['sixweeks'];?><br>
		<input type="radio" name="overdue_days" value="56" <?php if ($movies_prefs['overdue'] == "56") { echo "CHECKED";};?>>&nbsp;<?php echo $module_text['twomonths'];?><br>
		<input type="radio" name="overdue_days" value="84" <?php if ($movies_prefs['overdue'] == "84") { echo "CHECKED";};?>>&nbsp;<?php echo $module_text['threemonths'];?><br>
		<input type="radio" name="overdue_days" value="112" <?php if ($movies_prefs['overdue'] == "112") { echo "CHECKED";};?>>&nbsp;<?php echo $module_text['fourmonths'];?><br>

		</td>
	</tr>

</table>
<br><br>
<table class="admin" cellpadding="5">
	<tr>
		<td align="right">
		<input class="adminbutton" type="submit" value="<?php echo $module_text['saveoptions'];?>">
		</form>
		</td>
		<td align="left">
		<form action="index.php">
		<input class="adminbutton" type="submit" value="<?php echo $module_text['cancel'];?>">
		</form>
		</td>
		<td>
		<form action="" method="get" onSubmit="window.open('modules/movies/help.php?page=options','Help', 'width=450,height=350,toobar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1'); return false">
		<input class="adminbutton" type="submit" value="<?php echo $module_text['showhelp'];?>">
		</form>
		</td>
	</tr>
</table>

<?php
// If the user doesn't have the right credentials, tell them so
} else {
?>
<table class="admin">
	<tr>
		<td>
		<?php echo $module_text['nopermission'];?>
		</td>
	</tr>
</table>
<?php
// End of credentials check
};
?>

